FROM python:3.11

# Setez directorul de lucru in container
WORKDIR /the/workdir/path

# Copiez fisierul de requirements in container
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copiez restul codului sursa in container
COPY checker.py .

# Comanda de rulare a aplicatiei
CMD ["python", "checker.py"]

